Index: trunk/doc/Flair/classflair_1_1core_1_1_gps_data-members.html
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_gps_data-members.html	(revision 68)
+++ trunk/doc/Flair/classflair_1_1core_1_1_gps_data-members.html	(revision 74)
@@ -120,12 +120,14 @@
   <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da9bec9e2ee8e19932559e21b79482f5f2">East</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173">EastVelocity</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a0deb3d08a943318fa2397f5d4ebbab41">Element</a>(PlotableData_t data_type) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da140ffccecd7553fd941b07b1f960b340">FixQuality</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">FixQuality_t</a> enum name</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9">DataDeltaTime</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da9bec9e2ee8e19932559e21b79482f5f2">East</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173">EastVelocity</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a0deb3d08a943318fa2397f5d4ebbab41">Element</a>(PlotableData_t data_type) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da140ffccecd7553fd941b07b1f960b340">FixQuality</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6">FixQuality_t</a> enum name</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#a02cd00111e4b93187b668de49cdec642">GetDataTime</a>(Time &amp;time, Time &amp;deltaTime) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0"><td class="entry"><b>GetDataType</b>() const  (defined in <a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
   <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ad0442d89cc3b54d8f216e6539db051b6">GetDop</a>(float &amp;pDop, float &amp;hDop, float &amp;vDop) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
@@ -159,19 +161,20 @@
   <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1fd1e2cbcacd6a51e21da35cd26800f6">ReleaseMutex</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></td><td class="entry"></td></tr>
   <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">SetDataTime</a>(Time time)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a1938a21ef420d22df14bbde302530bfd">SetDop</a>(float pDop, float hDop, float vDop)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a41bc835f48f054b852690519d07f420c">SetEnu</a>(float east, float north, float up)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ade62faa0efb52070acae36b4f3f485b8">SetFixQuality</a>(FixQuality_t fixQuality)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a127f35d2f90679a1ac20e25f59820073">SetLla</a>(double latitude, double longitude, float altitude)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a78c3f3c52bc4200f2006567f7dabefff">SetNumberOfSatellites</a>(uint8_t numberOfSatellites)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a>(void **ptr)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a09134eda9e9abd781fd5a9193b2dbc58">SetVelocity</a>(float eastVelocity, float northVelocity)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00">Up</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>Vdop</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8">~GpsData</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb">~Mutex</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#aa51c08a0950cbe5ec5774446679ea43f">SetDataTime</a>(Time time, Time deltaTime)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a1938a21ef420d22df14bbde302530bfd">SetDop</a>(float pDop, float hDop, float vDop)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a41bc835f48f054b852690519d07f420c">SetEnu</a>(float east, float north, float up)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ade62faa0efb52070acae36b4f3f485b8">SetFixQuality</a>(FixQuality_t fixQuality)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a127f35d2f90679a1ac20e25f59820073">SetLla</a>(double latitude, double longitude, float altitude)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a78c3f3c52bc4200f2006567f7dabefff">SetNumberOfSatellites</a>(uint8_t numberOfSatellites)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a>(void **ptr)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a09134eda9e9abd781fd5a9193b2dbc58">SetVelocity</a>(float eastVelocity, float northVelocity)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00">Up</a> enum value</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Vdop</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8">~GpsData</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_gps_data.html">flair::core::GpsData</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb">~Mutex</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
 </table></div><!-- contents -->
 </div><!-- doc-content -->
@@ -179,5 +182,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Fri Feb 23 2018 11:15:45 for Flair by
+    <li class="footer">Generated on Wed May 16 2018 07:14:13 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>