Index: trunk/doc/Flair/files.html
===================================================================
--- trunk/doc/Flair/files.html	(revision 74)
+++ trunk/doc/Flair/files.html	(revision 76)
@@ -216,45 +216,47 @@
 <tr id="row_103_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_laser_g_l_8h_source.html"><span class="icondoc"></span></a><b>SimuLaserGL.h</b></td><td class="desc"></td></tr>
 <tr id="row_104_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simulator_8h_source.html"><span class="icondoc"></span></a><b>Simulator.h</b></td><td class="desc"></td></tr>
-<tr id="row_105_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_flair_sensor_actuator_2src_2_simu_us_8h_source.html"><span class="icondoc"></span></a><b>FlairSensorActuator/src/SimuUs.h</b></td><td class="desc"></td></tr>
-<tr id="row_106_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_flair_simulator_2src_2_simu_us_8h_source.html"><span class="icondoc"></span></a><b>FlairSimulator/src/SimuUs.h</b></td><td class="desc"></td></tr>
-<tr id="row_107_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_us_g_l_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_simu_us_g_l_8h.html" target="_self">SimuUsGL.h</a></td><td class="desc">Class for a simulation us </td></tr>
-<tr id="row_108_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_x4_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_simu_x4_8h.html" target="_self">SimuX4.h</a></td><td class="desc">Class defining a simulation x4 uav </td></tr>
-<tr id="row_109_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_x8_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_simu_x8_8h.html" target="_self">SimuX8.h</a></td><td class="desc">Class defining a simulation x8 uav </td></tr>
-<tr id="row_110_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_spin_box_8h.html" target="_self">SpinBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station </td></tr>
-<tr id="row_111_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_srf08_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_srf08_8h.html" target="_self">Srf08.h</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
-<tr id="row_112_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tab_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tab_8h.html" target="_self">Tab.h</a></td><td class="desc">Class displaying a QTab on the ground station </td></tr>
-<tr id="row_113_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tab_widget_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tab_widget_8h.html" target="_self">TabWidget.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station </td></tr>
-<tr id="row_114_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_target_controller_8h_source.html"><span class="icondoc"></span></a><b>TargetController.h</b></td><td class="desc"></td></tr>
-<tr id="row_115_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_target_eth_controller_8h_source.html"><span class="icondoc"></span></a><b>TargetEthController.h</b></td><td class="desc"></td></tr>
-<tr id="row_116_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tcp_socket_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tcp_socket_8h.html" target="_self">TcpSocket.h</a></td><td class="desc">Class defining a Tcp socket </td></tr>
-<tr id="row_117_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_text_edit_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_text_edit_8h.html" target="_self">TextEdit.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station </td></tr>
-<tr id="row_118_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_thread_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_thread_8h.html" target="_self">Thread.h</a></td><td class="desc">Abstract class for a thread </td></tr>
-<tr id="row_119_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_trajectory_generator1_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_trajectory_generator1_d_8h.html" target="_self">TrajectoryGenerator1D.h</a></td><td class="desc">Class generating a trajectory in 1D </td></tr>
-<tr id="row_120_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_trajectory_generator2_d_circle_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_trajectory_generator2_d_circle_8h.html" target="_self">TrajectoryGenerator2DCircle.h</a></td><td class="desc">Class generating a circle trajectory in 2D </td></tr>
-<tr id="row_121_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_uav_8h.html" target="_self">Uav.h</a></td><td class="desc">Base class to construct sensors/actuators depending on uav type </td></tr>
-<tr id="row_122_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_factory_8h_source.html"><span class="icondoc"></span></a><b>UavFactory.h</b></td><td class="desc"></td></tr>
-<tr id="row_123_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_multiplex_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_uav_multiplex_8h.html" target="_self">UavMultiplex.h</a></td><td class="desc">Class defining uav multiplexing </td></tr>
-<tr id="row_124_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_state_machine_8h_source.html"><span class="icondoc"></span></a><b>UavStateMachine.h</b></td><td class="desc"></td></tr>
-<tr id="row_125_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_udp_socket_8h_source.html"><span class="icondoc"></span></a><b>UdpSocket.h</b></td><td class="desc"></td></tr>
-<tr id="row_126_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_udt_socket_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_udt_socket_8h.html" target="_self">UdtSocket.h</a></td><td class="desc">Class defining a UDT socket </td></tr>
-<tr id="row_127_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_unix___i2c_port_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_unix___i2c_port_8h.html" target="_self">Unix_I2cPort.h</a></td><td class="desc">Class for unix i2c port </td></tr>
-<tr id="row_128_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_unix___serial_port_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_unix___serial_port_8h.html" target="_self">Unix_SerialPort.h</a></td><td class="desc">Class for unix serial port </td></tr>
-<tr id="row_129_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_us_range_finder_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_us_range_finder_8h.html" target="_self">UsRangeFinder.h</a></td><td class="desc">Base class for UsRangeFinder </td></tr>
-<tr id="row_130_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_us_sensor_plot_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_us_sensor_plot_8h.html" target="_self">UsSensorPlot.h</a></td><td class="desc">Class displaying a plot for raw us sensor </td></tr>
-<tr id="row_131_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_v4_l_camera_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_v4_l_camera_8h.html" target="_self">V4LCamera.h</a></td><td class="desc">Base class for V4l camera </td></tr>
-<tr id="row_132_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector2_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector2_d_8h.html" target="_self">Vector2D.h</a></td><td class="desc">Class defining a 2D vector </td></tr>
-<tr id="row_133_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_d_8h.html" target="_self">Vector3D.h</a></td><td class="desc">Class defining a 3D vector </td></tr>
-<tr id="row_134_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_ddata_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_ddata_8h.html" target="_self">Vector3Ddata.h</a></td><td class="desc">Class defining a 3D vector and a io_data </td></tr>
-<tr id="row_135_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_d_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_d_spin_box_8h.html" target="_self">Vector3DSpinBox.h</a></td><td class="desc">Class displaying 3 <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> for x,y,z on the ground station </td></tr>
-<tr id="row_136_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_visualization_camera_8h_source.html"><span class="icondoc"></span></a><b>VisualizationCamera.h</b></td><td class="desc"></td></tr>
-<tr id="row_137_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vrpn_client_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vrpn_client_8h.html" target="_self">VrpnClient.h</a></td><td class="desc">Class to connect to a Vrpn server </td></tr>
-<tr id="row_138_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vrpn_object_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vrpn_object_8h.html" target="_self">VrpnObject.h</a></td><td class="desc">Class for VRPN object </td></tr>
-<tr id="row_139_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_watchdog_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_watchdog_8h.html" target="_self">Watchdog.h</a></td><td class="desc">Watchdog Class </td></tr>
-<tr id="row_140_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_widget_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_widget_8h.html" target="_self">Widget.h</a></td><td class="desc">Abstract class for all Framework's widget classes </td></tr>
-<tr id="row_141_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x4_8h_source.html"><span class="icondoc"></span></a><b>X4.h</b></td><td class="desc"></td></tr>
-<tr id="row_142_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x4_x8_multiplex_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_x4_x8_multiplex_8h.html" target="_self">X4X8Multiplex.h</a></td><td class="desc">Class defining X4 and X8 multiplexing </td></tr>
-<tr id="row_143_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x8_8h_source.html"><span class="icondoc"></span></a><b>X8.h</b></td><td class="desc"></td></tr>
-<tr id="row_144_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x_air_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_x_air_8h.html" target="_self">XAir.h</a></td><td class="desc">Class defining a xair uav </td></tr>
-<tr id="row_145_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x_bldc_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_x_bldc_8h.html" target="_self">XBldc.h</a></td><td class="desc">Class for Xufo Bldc </td></tr>
+<tr id="row_105_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_flair_sensor_actuator_2src_2_simu_pressure_sensor_8h_source.html"><span class="icondoc"></span></a><b>FlairSensorActuator/src/SimuPressureSensor.h</b></td><td class="desc"></td></tr>
+<tr id="row_106_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_flair_simulator_2src_2_simu_pressure_sensor_8h_source.html"><span class="icondoc"></span></a><b>FlairSimulator/src/SimuPressureSensor.h</b></td><td class="desc"></td></tr>
+<tr id="row_107_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_flair_sensor_actuator_2src_2_simu_us_8h_source.html"><span class="icondoc"></span></a><b>FlairSensorActuator/src/SimuUs.h</b></td><td class="desc"></td></tr>
+<tr id="row_108_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_flair_simulator_2src_2_simu_us_8h_source.html"><span class="icondoc"></span></a><b>FlairSimulator/src/SimuUs.h</b></td><td class="desc"></td></tr>
+<tr id="row_109_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_us_g_l_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_simu_us_g_l_8h.html" target="_self">SimuUsGL.h</a></td><td class="desc">Class for a simulation us </td></tr>
+<tr id="row_110_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_x4_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_simu_x4_8h.html" target="_self">SimuX4.h</a></td><td class="desc">Class defining a simulation x4 uav </td></tr>
+<tr id="row_111_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_simu_x8_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_simu_x8_8h.html" target="_self">SimuX8.h</a></td><td class="desc">Class defining a simulation x8 uav </td></tr>
+<tr id="row_112_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_spin_box_8h.html" target="_self">SpinBox.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qspinbox.html">QSpinBox</a> on the ground station </td></tr>
+<tr id="row_113_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_srf08_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_srf08_8h.html" target="_self">Srf08.h</a></td><td class="desc">Class for ultra sonic SRF08 </td></tr>
+<tr id="row_114_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tab_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tab_8h.html" target="_self">Tab.h</a></td><td class="desc">Class displaying a QTab on the ground station </td></tr>
+<tr id="row_115_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tab_widget_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tab_widget_8h.html" target="_self">TabWidget.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtabwidget.html">QTabWidget</a> on the ground station </td></tr>
+<tr id="row_116_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_target_controller_8h_source.html"><span class="icondoc"></span></a><b>TargetController.h</b></td><td class="desc"></td></tr>
+<tr id="row_117_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_target_eth_controller_8h_source.html"><span class="icondoc"></span></a><b>TargetEthController.h</b></td><td class="desc"></td></tr>
+<tr id="row_118_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_tcp_socket_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_tcp_socket_8h.html" target="_self">TcpSocket.h</a></td><td class="desc">Class defining a Tcp socket </td></tr>
+<tr id="row_119_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_text_edit_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_text_edit_8h.html" target="_self">TextEdit.h</a></td><td class="desc">Class displaying a <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qtextedit.html">QTextEdit</a> on the ground station </td></tr>
+<tr id="row_120_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_thread_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_thread_8h.html" target="_self">Thread.h</a></td><td class="desc">Abstract class for a thread </td></tr>
+<tr id="row_121_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_trajectory_generator1_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_trajectory_generator1_d_8h.html" target="_self">TrajectoryGenerator1D.h</a></td><td class="desc">Class generating a trajectory in 1D </td></tr>
+<tr id="row_122_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_trajectory_generator2_d_circle_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_trajectory_generator2_d_circle_8h.html" target="_self">TrajectoryGenerator2DCircle.h</a></td><td class="desc">Class generating a circle trajectory in 2D </td></tr>
+<tr id="row_123_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_uav_8h.html" target="_self">Uav.h</a></td><td class="desc">Base class to construct sensors/actuators depending on uav type </td></tr>
+<tr id="row_124_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_factory_8h_source.html"><span class="icondoc"></span></a><b>UavFactory.h</b></td><td class="desc"></td></tr>
+<tr id="row_125_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_multiplex_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_uav_multiplex_8h.html" target="_self">UavMultiplex.h</a></td><td class="desc">Class defining uav multiplexing </td></tr>
+<tr id="row_126_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_uav_state_machine_8h_source.html"><span class="icondoc"></span></a><b>UavStateMachine.h</b></td><td class="desc"></td></tr>
+<tr id="row_127_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_udp_socket_8h_source.html"><span class="icondoc"></span></a><b>UdpSocket.h</b></td><td class="desc"></td></tr>
+<tr id="row_128_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_udt_socket_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_udt_socket_8h.html" target="_self">UdtSocket.h</a></td><td class="desc">Class defining a UDT socket </td></tr>
+<tr id="row_129_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_unix___i2c_port_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_unix___i2c_port_8h.html" target="_self">Unix_I2cPort.h</a></td><td class="desc">Class for unix i2c port </td></tr>
+<tr id="row_130_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_unix___serial_port_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_unix___serial_port_8h.html" target="_self">Unix_SerialPort.h</a></td><td class="desc">Class for unix serial port </td></tr>
+<tr id="row_131_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_us_range_finder_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_us_range_finder_8h.html" target="_self">UsRangeFinder.h</a></td><td class="desc">Base class for UsRangeFinder </td></tr>
+<tr id="row_132_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_us_sensor_plot_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_us_sensor_plot_8h.html" target="_self">UsSensorPlot.h</a></td><td class="desc">Class displaying a plot for raw us sensor </td></tr>
+<tr id="row_133_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_v4_l_camera_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_v4_l_camera_8h.html" target="_self">V4LCamera.h</a></td><td class="desc">Base class for V4l camera </td></tr>
+<tr id="row_134_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector2_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector2_d_8h.html" target="_self">Vector2D.h</a></td><td class="desc">Class defining a 2D vector </td></tr>
+<tr id="row_135_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_d_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_d_8h.html" target="_self">Vector3D.h</a></td><td class="desc">Class defining a 3D vector </td></tr>
+<tr id="row_136_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_ddata_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_ddata_8h.html" target="_self">Vector3Ddata.h</a></td><td class="desc">Class defining a 3D vector and a io_data </td></tr>
+<tr id="row_137_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vector3_d_spin_box_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vector3_d_spin_box_8h.html" target="_self">Vector3DSpinBox.h</a></td><td class="desc">Class displaying 3 <a class="elRef" target="_blank" doxygen="/home/gsanahuj/igep/flair-dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qdoublespinbox.html">QDoubleSpinBox</a> for x,y,z on the ground station </td></tr>
+<tr id="row_138_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_visualization_camera_8h_source.html"><span class="icondoc"></span></a><b>VisualizationCamera.h</b></td><td class="desc"></td></tr>
+<tr id="row_139_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vrpn_client_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vrpn_client_8h.html" target="_self">VrpnClient.h</a></td><td class="desc">Class to connect to a Vrpn server </td></tr>
+<tr id="row_140_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_vrpn_object_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_vrpn_object_8h.html" target="_self">VrpnObject.h</a></td><td class="desc">Class for VRPN object </td></tr>
+<tr id="row_141_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_watchdog_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_watchdog_8h.html" target="_self">Watchdog.h</a></td><td class="desc">Watchdog Class </td></tr>
+<tr id="row_142_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_widget_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_widget_8h.html" target="_self">Widget.h</a></td><td class="desc">Abstract class for all Framework's widget classes </td></tr>
+<tr id="row_143_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x4_8h_source.html"><span class="icondoc"></span></a><b>X4.h</b></td><td class="desc"></td></tr>
+<tr id="row_144_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x4_x8_multiplex_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_x4_x8_multiplex_8h.html" target="_self">X4X8Multiplex.h</a></td><td class="desc">Class defining X4 and X8 multiplexing </td></tr>
+<tr id="row_145_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x8_8h_source.html"><span class="icondoc"></span></a><b>X8.h</b></td><td class="desc"></td></tr>
+<tr id="row_146_" class="even"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x_air_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_x_air_8h.html" target="_self">XAir.h</a></td><td class="desc">Class defining a xair uav </td></tr>
+<tr id="row_147_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><a href="_x_bldc_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_x_bldc_8h.html" target="_self">XBldc.h</a></td><td class="desc">Class for Xufo Bldc </td></tr>
 </table>
 </div><!-- directory -->
@@ -264,5 +266,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Wed May 16 2018 07:14:14 for Flair by
+    <li class="footer">Generated on Wed Jul 25 2018 10:08:17 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>