Index: branches/mavlink/tools/Controller/Mavlink/src/GuiGcs.cpp
===================================================================
--- branches/mavlink/tools/Controller/Mavlink/src/GuiGcs.cpp	(revision 79)
+++ branches/mavlink/tools/Controller/Mavlink/src/GuiGcs.cpp	(revision 81)
@@ -106,6 +106,16 @@
     // Parse param3
     float param3 = std::stof(missionCommand.substr(0, missionCommand.find(delimiter)));
+    missionCommand.erase(0, missionCommand.find(delimiter) + delimiter.length());
+    // Parse latitude
+    float latitude = std::stof(missionCommand.substr(0, missionCommand.find(delimiter)));
+    missionCommand.erase(0, missionCommand.find(delimiter) + delimiter.length());
+    // Parse longitude
+    float longitude = std::stof(missionCommand.substr(0, missionCommand.find(delimiter)));
+    missionCommand.erase(0, missionCommand.find(delimiter) + delimiter.length());
+    // Parse altitude
+    float altitude = std::stof(missionCommand.substr(0, missionCommand.find(delimiter)));
+    missionCommand.erase(0, missionCommand.find(delimiter) + delimiter.length());
     // cout << "[INFO] Mission item commands : " << command << ", " << param1 << ", " << param2 << ", " << param3 << std::endl;
-    mavCom->sendMissionItem(mavCom->target.getSysID(), mavCom->target.getCompID(), 0, MAV_FRAME_GLOBAL_RELATIVE_ALT, MavCommandGet(command), 0, 1, 0, 0, 0, 0, param1, param2, param3);
+    mavCom->sendMissionItem(mavCom->target.getSysID(), mavCom->target.getCompID(), 0, MAV_FRAME_GLOBAL_RELATIVE_ALT, MavCommandGet(command), 0, 1, param1, param2, param3, 0, latitude, longitude, altitude);
     mavCom->waitMissionAck(ACK_TIMEOUT);
   }
Index: branches/mavlink/tools/Controller/Mavlink/src/GuiInterface.cpp
===================================================================
--- branches/mavlink/tools/Controller/Mavlink/src/GuiInterface.cpp	(revision 79)
+++ branches/mavlink/tools/Controller/Mavlink/src/GuiInterface.cpp	(revision 81)
@@ -74,10 +74,10 @@
   // comboCmd->AddItem("RETURN");
   // comboCmd->AddItem("JUMP");
-  param1Field = new DoubleSpinBox(addCmdGroupBox->NewRow(), "Param1",
-                                -90, 90, 0.5, 1, 3);
-  param2Field = new DoubleSpinBox(addCmdGroupBox->NewRow(), "Param2",
-                                -90, 90, 0.5, 1, 3);
-  param3Field = new DoubleSpinBox(addCmdGroupBox->NewRow(), "Param3",
-                                -90, 90, 0.5, 1, 3);
+  param1Field = new DoubleSpinBox(addCmdGroupBox->NewRow(), "Param1", -90, 90, 0.5, 1, 0);
+  latitudeField = new DoubleSpinBox(addCmdGroupBox->LastRowLastCol(), "Longitude", -90, 90, 0.5, 1, 1.5);
+  param2Field = new DoubleSpinBox(addCmdGroupBox->NewRow(), "Param2", -90, 90, 0.5, 1, 0);
+  longitudeField = new DoubleSpinBox(addCmdGroupBox->LastRowLastCol(), "Latitude", -90, 90, 0.5, 1, -1.5);
+  param3Field = new DoubleSpinBox(addCmdGroupBox->NewRow(), "Param3", -90, 90, 0.5, 1, 0);
+  altitudeField = new DoubleSpinBox(addCmdGroupBox->LastRowLastCol(), "Altitude", -90, 90, 0.5, 1, 2);
   btnAddMissionCmd = new PushButton(addCmdGroupBox->NewRow(), "Add mission cmd");
   btnDelMissionCmd = new PushButton(addCmdGroupBox->LastRowLastCol(), "Del mission cmd");
@@ -145,5 +145,6 @@
   stringStream.precision(1);
   stringStream << fixed;
-  stringStream << commandsAvailable[comboCmd->CurrentIndex()] << "|" << param1Field->Value() << "|" << param2Field->Value() << "|" << param3Field->Value();
+  stringStream << commandsAvailable[comboCmd->CurrentIndex()] << "|" << param1Field->Value() << "|" << param2Field->Value() \
+               << "|" << param3Field->Value() << "|" << latitudeField->Value() << "|" << longitudeField->Value() << "|" << altitudeField->Value();
   return stringStream.str();
 }
Index: branches/mavlink/tools/Controller/Mavlink/src/GuiInterface.h
===================================================================
--- branches/mavlink/tools/Controller/Mavlink/src/GuiInterface.h	(revision 79)
+++ branches/mavlink/tools/Controller/Mavlink/src/GuiInterface.h	(revision 81)
@@ -77,5 +77,8 @@
   flair::gui::DoubleSpinBox* param1Field;
   flair::gui::DoubleSpinBox* param2Field;
-  flair::gui::DoubleSpinBox* param3Field;  
+  flair::gui::DoubleSpinBox* param3Field;
+  flair::gui::DoubleSpinBox* latitudeField;
+  flair::gui::DoubleSpinBox* longitudeField;
+  flair::gui::DoubleSpinBox* altitudeField;
   flair::gui::PushButton* btnAddMissionCmd;
   flair::gui::PushButton* btnDelMissionCmd;