Index: trunk/tools/FlairGCS/src/Layout.cpp
===================================================================
--- trunk/tools/FlairGCS/src/Layout.cpp	(revision 68)
+++ trunk/tools/FlairGCS/src/Layout.cpp	(revision 88)
@@ -22,4 +22,6 @@
 #include <QGeoCoordinate>
 #include <QGridLayout>
+#include "ListWidget.h"
+#include <QStringList>
 
 Layout::Layout(QWidget *parent, XmlWidget *xml, QString name, QString type)
@@ -248,4 +250,15 @@
     widget = new Label(this, row, col, name);
   }
+  if (type == "ListWidget") {
+    // Parse the item list    
+    QStringList items;
+    int count = 0;
+    while (dom.hasAttribute("item" + QString::number(count))) {
+      QString item = dom.attribute("item" + QString::number(count));
+      items.append(item);
+      count++;
+    }
+    widget = new ListWidget(this, row, col, name, items);
+  }
 
   if (widget != NULL) {
Index: trunk/tools/FlairGCS/src/ListWidget.cpp
===================================================================
--- trunk/tools/FlairGCS/src/ListWidget.cpp	(revision 88)
+++ trunk/tools/FlairGCS/src/ListWidget.cpp	(revision 88)
@@ -0,0 +1,148 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+#include "ListWidget.h"
+#include "Layout.h"
+#include <QListWidget>
+#include <QFormLayout>
+#include <QLabel>
+#include <QListWidgetItem>
+#include <QPalette>
+#include <QStringList>
+#include <sstream>
+
+//to remove, for tests only
+#include <iostream>
+
+ListWidget::ListWidget(Layout *parent, int row, int col, QString name)
+    : currentItemRow(-1), isUpToDate(true),
+      FormLayout(parent, row, col, name, "ListWidget") {
+  listwidget = new QListWidget();
+  if (internalItemsList == NULL) {
+    internalItemsList = new QStringList();
+  }
+  // construct the object in 2 times, to have the label above the list
+  object_layout->addRow(new QLabel(name));
+  object_layout->addRow(listwidget);
+  // modify the color palette to have the selected item text in red
+  palListRed.setColor(QPalette::HighlightedText, QColor(255, 0, 0));
+  palListDefault.setColor(QPalette::HighlightedText, QColor(255, 255, 255));
+  connect(listwidget, SIGNAL(currentRowChanged(int)), this,
+          SLOT(SelectedItemChanged(int)));
+  // to avoid duplicates when adding items
+  SetIsExpandable(true);
+}
+
+ListWidget::ListWidget(Layout *parent, int row, int col, QString name,
+                       QStringList &items)
+    : ListWidget(parent, row, col, name) {
+  if (!items.isEmpty()) {
+    listwidget->addItems(items);
+    internalItemsList = new QStringList(items);
+  }
+
+}
+
+ListWidget::~ListWidget() {
+  if (listwidget) {
+    delete listwidget;
+  }
+}
+
+void ListWidget::XmlEvent(QDomElement dom) {
+  isUpToDate = false;
+  if (dom.attribute("item") != "") {
+    QString item = dom.attribute("item");
+    QListWidgetItem *widget_item = new QListWidgetItem(item);
+    // new item, so the text is red
+    widget_item->setForeground(Qt::red);
+    listwidget->addItem(widget_item);
+  }
+  if (dom.attribute("delete") != "") {
+    int row_to_del = dom.attribute("delete").toInt();
+    RemoveItemFromXml(row_to_del);
+    QListWidgetItem *item_to_del = listwidget->takeItem(row_to_del);
+    if (item_to_del) {
+      delete item_to_del;
+    }
+  }
+}
+
+void ListWidget::SetUptodate(void) {
+  ui_to_var();
+  ui_to_xml();
+  listwidget->setPalette(palListDefault);
+  isUpToDate = true;
+}
+
+void ListWidget::ui_to_var(void) {
+  currentItemRow = listwidget->currentRow();
+  internalItemsList->clear();
+  for (int count = 0; count < listwidget->count(); count++) {
+    internalItemsList->append(listwidget->item(count)->text());
+  }
+}
+
+void ListWidget::ui_to_xml(void) {
+  SetValue(QString::number(listwidget->currentRow()));
+  // add the list of items
+  for (int count = 0; count < listwidget->count(); count++) {
+    std::string item;
+    std::ostringstream item_prop;
+    item_prop << "item" << count; 
+    SetAttribute(QString::fromStdString(item_prop.str()),
+                 listwidget->item(count)->text());
+    listwidget->item(count)->setForeground(Qt::black);
+  }
+}
+
+void ListWidget::Reset(void) {
+  if (currentItemRow != -1) {
+    listwidget->setCurrentRow(currentItemRow);
+  }
+  listwidget->clear();
+  listwidget->addItems(*internalItemsList);
+}
+
+void ListWidget::LoadEvent(QDomElement dom) {
+  //function not tested
+  std::cout << "FlairGCS LoadEvent" << std::endl;
+  if (listwidget->isEnabled() == true) {
+    std::cout << "FlairGCS LoadEvent loading" << std::endl;
+    listwidget->clear();
+    QStringList items;
+    int count = 0;
+    while (dom.hasAttribute("item" + QString::number(count))) {
+      std::cout << "FlairGCS LoadEvent boucle" << std::endl;
+      listwidget->addItem(dom.attribute("item" + QString::number(count)));
+      count++;
+    }
+  }
+}
+
+void ListWidget::SelectedItemChanged(int current_row) {
+  if (current_row != currentItemRow) {
+    isUpToDate = false;
+    listwidget->setPalette(palListRed);
+  } else {
+    listwidget->setPalette(palListDefault);
+  }
+}
+
+bool ListWidget::IsUptodate(void) { return isUpToDate; }
+
+void ListWidget::RemoveItemFromXml(int row_to_del) {
+  // Shift the elements in the XML file to have the one to delete at the end
+  std::ostringstream item_prop;
+  for (int count = row_to_del; count < listwidget->count() - 1; count++) {
+    item_prop << "item" << count;
+    SetAttribute(QString::fromStdString(item_prop.str()),
+                 listwidget->item(count + 1)->text());
+    // Clear the value of the stringstream
+    item_prop.str(std::string());  
+  }
+  // Delete the last element from the XML file
+  item_prop << "item" << (listwidget->count() - 1);
+  RemoveAttribute(QString::fromStdString(item_prop.str()));
+}
Index: trunk/tools/FlairGCS/src/ListWidget.h
===================================================================
--- trunk/tools/FlairGCS/src/ListWidget.h	(revision 88)
+++ trunk/tools/FlairGCS/src/ListWidget.h	(revision 88)
@@ -0,0 +1,142 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+/*!
+ * \file ListWidget.h
+ * \brief Class displaying a QListWidget on the ground station
+ * \author Thomas Fuhrmann, Copyright Heudiasyc UMR UTC/CNRS 7253
+ * \date 2016/07/26
+ * \version 1.0
+ */
+#ifndef LISTWIDGET_H
+#define LISTWIDGET_H
+
+#include "FormLayout.h"
+
+class QListWidget;
+class Layout;
+class QStringList;
+class QListWidgetItem;
+class QPalette;
+class QStringList;
+
+/*! \class ListWidget
+ *
+ * \brief Class displaying a QListWidget on the ground station
+ *
+ */
+class ListWidget : public FormLayout {
+  Q_OBJECT
+
+public:
+  /**
+   * \brief      Default constructor
+   *
+   * \param      parent  The parent widget
+   * \param[in]  row     The row where to position the widget
+   * \param[in]  col     The col where to position the widget
+   * \param[in]  name    The name of the widget
+   */
+  ListWidget(Layout *parent, int row, int col, QString name);
+  /**
+   * \brief      Constructor with a list of default items
+   *
+   * \param      parent  The parent widget
+   * \param[in]  row     The row where to position the widget
+   * \param[in]  col     The col where to position the widget
+   * \param[in]  name    The name of the widget
+   * \param      items   List of items to display at creation
+   */
+  ListWidget(Layout *parent, int row, int col, QString name,
+             QStringList &items);
+  /**
+   * \brief      Destructor
+   */
+  ~ListWidget();
+
+private:
+  /**
+   * \brief      Check if the widget is up to date.
+   *
+   * \return     True if uptodate, False otherwise.
+   */
+  bool IsUptodate(void);
+  /**
+   * \brief      Sets the isUpToDate internal flag.
+   */
+  void SetUptodate(void);
+  /**
+   * \brief      Handler to process a new xml file.
+   *
+   * \param[in]  dom   The dom containing the xml file.
+   */
+  void XmlEvent(QDomElement dom);
+  /**
+   * \brief      Reset the widget, load the internal parameters.
+   */
+
+  void Reset(void);
+  /**
+   * \brief      Handler to process the loading of the internal xml file.
+   *
+   * \param[in]  dom   The dom containing the xml file.
+   */
+  void LoadEvent(QDomElement dom);
+  /**
+   * \brief      Save the user interface variables state in the internal members.
+   */
+  void ui_to_var(void);
+  /**
+   * \brief      Save the user interface variables state in the internal xml file.
+   */
+  void ui_to_xml(void);
+  /**
+   * \brief      Removes the row_to_del element from the internal xml file.
+   * 
+   * As the order of the elements is important, all the elements after the one
+   * deleted are shifted to occupy the blank space.
+   *
+   * \param[in]  row_to_del  The row of the element to delete.
+   */
+  void RemoveItemFromXml(int row_to_del);
+  /**
+   * Pointer to the managed QListWidget widget.
+   */
+  QListWidget *listwidget;
+  /**
+   * Store the list of all the items, in order to use the Reset function.
+   */
+  QStringList *internalItemsList;
+  /**
+   * The row of the currently selected item.
+   */
+  int currentItemRow;
+  /**
+   * Flag to know if the widget is up to date.
+   */
+  bool isUpToDate;
+  /**
+   * Redefined color palette.
+   * The highlight item's text appears in red.
+   */
+  QPalette palListRed;
+  /**
+   * Redefined color palette.
+   * The highlight item's text appears in white (default).
+   */
+  QPalette palListDefault;
+
+private slots:
+  /**
+   * \brief      Handle the change of the selected item.
+   * 
+   * When the selected item has changed, the text of the newly selected item appears in red,
+   * to notify the user to apply the modification.
+   *
+   * \param[in]  current_row  The row of the currently selected item.
+   */
+  void SelectedItemChanged(int current_row);
+};
+
+#endif // LISTWIDGET_H