Index: trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc-members.html
===================================================================
--- trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc-members.html	(revision 94)
+++ trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc-members.html	(revision 98)
@@ -115,72 +115,33 @@
 <p>This is the complete list of members for <a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a>, including all inherited members.</p>
 <table class="directory">
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">flair::AddDataToLog</a>(const io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">flair::actuator::Bldc::AddDataToLog</a>(const io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">flair::AddDeviceToLog</a>(const IODevice *device)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">flair::actuator::Bldc::AddDeviceToLog</a>(const IODevice *device)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#a82ad883235b4477905ef78b4daf8dccf">AreEnabled</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">AddDataToLog</a>(const io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">AddDeviceToLog</a>(const IODevice *device)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Auto</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#acb60358e96275823a489fb2d18a0d119">Bldc</a>(const core::IODevice *parent, gui::Layout *layout, std::string name, uint8_t motors_count)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#a35ff4113cea48bfd002d425d2e1b5d49">Bldc</a>(const core::Object *parent, std::string name, uint8_t motors_count)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">flair::Childs</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">flair::actuator::Bldc::Childs</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>color_t</b> enum name (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">flair::Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">flair::actuator::Bldc::Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">flair::ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">flair::actuator::Bldc::ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a>(bool recursive=true) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0"><td class="entry"><b>GetInputDataType</b>() const  (defined in <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#a330135b8772cff48754df0e4f720cd0b">GetLayout</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>GetOutputDataType</b>() const  (defined in <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c">GetSpeeds</a>(float *value, core::Time *time) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>GetOutputDataType</b>() const  (defined in <a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#ab8700a00398f461726a46c75739f809c">GetSpeeds</a>(float *value, core::Time *time) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Green</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#a3a97075384649f5a11fd70bf7749fbe1">HasCurrentMeasurement</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#a6d604089c8494c27f8382359327e7fb6">HasSpeedMeasurement</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">flair::Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">flair::actuator::Bldc::Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">flair::IODevice</a>(const Object *parent, std::string name)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">flair::actuator::Bldc::IODevice</a>(const Object *parent, std::string name)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">flair::IsReady</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">flair::actuator::Bldc::IsReady</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#a6c1d6173c5dcc0fa550464268847ca91">LockUserInterface</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#aba973fd0797e039fc33c720729215570">MotorsCount</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">flair::Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">flair::actuator::Bldc::Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">flair::ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">flair::actuator::Bldc::ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">flair::ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">flair::actuator::Bldc::ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a>(const char *function, int line, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a9693b497752b466891eaafeb34bec4d3">IODevice</a>(const Object *parent, std::string name)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12">IsReady</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a>(const Object *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
   <tr bgcolor="#f0f0f0"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Orange</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0"><td class="entry"><b>output</b> (defined in <a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a>)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#ad10ac767cd8e7107f4459499dda7e504">Output</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">flair::OutputToShMem</a>(bool enabled)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">flair::actuator::Bldc::OutputToShMem</a>(bool enabled)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">flair::Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">flair::actuator::Bldc::Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">flair::ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">flair::actuator::Bldc::ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66">OutputToShMem</a>(bool enabled)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc">ProcessUpdate</a>(io_data *data)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
   <tr bgcolor="#f0f0f0"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>Red</b> enum value (defined in <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a>)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#ac030794b46b72db4184592f7cff11731">SetEnabled</a>(bool status)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">flair::SetIsReady</a>(bool status)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">flair::actuator::Bldc::SetIsReady</a>(bool status)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#ae040c7faecb20b538da7932a3a2e589f">SetPower</a>(int motor_id, float value)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#ad960e5a34f19d664b1b576eea826997f">SimuBldc</a>(const core::IODevice *parent, gui::Layout *layout, std::string name, uint8_t motors_count, uint32_t modelId, uint32_t deviceId)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b">SimuBldc</a>(const core::Object *parent, std::string name, uint8_t motors_count, uint32_t modelId, uint32_t deviceId)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">flair::TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">flair::actuator::Bldc::TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#ac1fba30ad70a6d8ff075d376c0e417dd">UnlockUserInterface</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#a5f653e25984ae11ae7f513e1fbad7d10">UseDefaultPlot</a>(gui::TabWidget *tabwidget)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">flair::Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">flair::actuator::Bldc::Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html#a1569d6c4eed96b9f53cae6cd027b7608">~Bldc</a>()</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_bldc.html">flair::actuator::Bldc</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412">SetIsReady</a>(bool status)</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b">SimuBldc</a>(const core::Object *parent, std::string name, uint8_t motors_count, uint32_t modelId, uint32_t deviceId)</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"></td></tr>
+  <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a>(void) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
+  <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a>(const char *function, const char *format,...) const </td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"></td></tr>
   <tr class="even"><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html#a05246988b486def40926d8491e1bcc5f">~IODevice</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_i_o_device.html">flair::core::IODevice</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
   <tr><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a>()</td><td class="entry"><a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
   <tr class="even"><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8">~SimuBldc</a>()</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"></td></tr>
-  <tr><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8">~SimuBldc</a>()</td><td class="entry"><a class="el" href="classflair_1_1actuator_1_1_simu_bldc.html">flair::actuator::SimuBldc</a></td><td class="entry"></td></tr>
 </table></div><!-- contents -->
 </div><!-- doc-content -->
@@ -188,5 +149,5 @@
 <div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
   <ul>
-    <li class="footer">Generated on Wed Dec 5 2018 16:50:43 for Flair by
+    <li class="footer">Generated on Wed Jan 16 2019 09:54:09 for Flair by
     <a href="http://www.doxygen.org/index.html">
     <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>